Upstream information

CVE-2019-9947 at MITRE

Description

An issue was discovered in urllib2 in Python 2.x through 2.7.16 and urllib in Python 3.x through 3.7.3. CRLF injection is possible if the attacker controls a url parameter, as demonstrated by the first argument to urllib.request.urlopen with \r\n (specifically in the path component of a URL that lacks a ? character) followed by an HTTP header or a Redis command. This is similar to the CVE-2019-9740 query string issue.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 5.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:L/I:L/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction Required None
Scope Changed Changed
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1130840 [IN_PROGRESS], 1155094 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/389-ds:1.4.0
Container caasp/v4/hyperkube:v1.17.4
Container caasp/v4/k8s-sidecar:0.1.75
Container caasp/v5/389-ds:beta
Container caasp/v5/k8s-sidecar:beta
Container caasp/v5/kube-controller-manager:beta
Image SLES15-EC2-CHOST-HVM-BYOS
Image SLES15-SP1-CHOST-BYOS-Ali
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP1-CHOST-BYOS-OpenStack
Image SLES15-SP2-CHOST-BYOS-Ali
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-OpenStack
Image caasp-389-ds-image
Image caasp-hyperkube-image
Image caasp-k8s-sidecar-image
Image caasp-kube-controller-manager-image
  • libpython3_6m1_0 >= 3.6.8-3.16.2
  • python3 >= 3.6.8-3.16.2
  • python3-base >= 3.6.8-3.16.2
HPE Helion Openstack 8
  • python-botocore >= 1.13.33-28.20.1
  • python-futures >= 3.0.2-15.3.1
Patchnames:
HPE-Helion-OpenStack-8-2020-775
SUSE CaaS Platform 3.0
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-CAASP-3.0-2020-775
SUSE Enterprise Storage 5
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-Storage-5-2020-775
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libpython3_6m1_0 >= 3.6.8-2.13
  • python36 >= 3.6.8-2.13
  • python36-base >= 3.6.8-2.13
SUSE Linux Enterprise Module for Advanced Systems Management 12
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-SLE-Module-Adv-Systems-Management-12-2020-775
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libpython2_7-1_0 >= 2.7.17-7.32.1
  • libpython3_6m1_0 >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python3 >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-curses >= 3.6.10-3.42.2
  • python3-dbm >= 3.6.10-3.42.2
  • python3-devel >= 3.6.10-3.42.2
  • python3-idle >= 3.6.10-3.42.2
  • python3-tk >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-1352
SUSE-SLE-Module-Basesystem-15-SP1-2019-2743
SUSE-SLE-Module-Basesystem-15-SP1-2020-114
SUSE-SLE-Module-Basesystem-15-SP1-2020-234
SUSE Linux Enterprise Module for Basesystem 15
  • libpython2_7-1_0 >= 2.7.17-7.32.1
  • libpython3_6m1_0 >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python-curses >= 2.7.17-7.32.2
  • python-devel >= 2.7.17-7.32.1
  • python-gdbm >= 2.7.17-7.32.2
  • python-xml >= 2.7.17-7.32.1
  • python3 >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-curses >= 3.6.10-3.42.2
  • python3-dbm >= 3.6.10-3.42.2
  • python3-devel >= 3.6.10-3.42.2
  • python3-idle >= 3.6.10-3.42.2
  • python3-tk >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-1352
SUSE-SLE-Module-Basesystem-15-2019-2743
SUSE-SLE-Module-Basesystem-15-2020-114
SUSE-SLE-Module-Basesystem-15-2020-234
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • python >= 2.7.17-7.32.2
  • python-tk >= 2.7.17-7.32.2
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2019-2743
SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-234
SUSE Linux Enterprise Module for Desktop Applications 15
  • python >= 2.7.17-7.32.2
  • python-tk >= 2.7.17-7.32.2
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-2743
SUSE-SLE-Module-Desktop-Applications-15-2020-234
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • python3-base >= 3.6.10-3.42.2
  • python3-tools >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2019-1352
SUSE-SLE-Module-Development-Tools-15-SP1-2020-114
SUSE Linux Enterprise Module for Development Tools 15
  • python3-base >= 3.6.10-3.42.2
  • python3-tools >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2019-1352
SUSE-SLE-Module-Development-Tools-15-2020-114
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libpython2_7-1_0-32bit >= 2.7.17-7.32.1
  • libpython3_6m1_0-32bit >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-32bit >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python-base-32bit >= 2.7.17-7.32.1
  • python-demo >= 2.7.17-7.32.2
  • python-doc >= 2.7.17-7.32.2
  • python-doc-pdf >= 2.7.17-7.32.2
  • python-idle >= 2.7.17-7.32.2
  • python3 >= 3.6.10-3.42.2
  • python3-32bit >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-base-32bit >= 3.6.10-3.42.2
  • python3-doc >= 3.6.10-3.42.3
  • python3-testsuite >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1352
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2743
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-114
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-234
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libpython3_6m1_0-32bit >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-demo >= 2.7.17-7.32.2
  • python-doc >= 2.7.17-7.32.2
  • python-doc-pdf >= 2.7.17-7.32.2
  • python-idle >= 2.7.17-7.32.2
  • python3 >= 3.6.10-3.42.2
  • python3-32bit >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-base-32bit >= 3.6.10-3.42.2
  • python3-doc >= 3.6.10-3.42.3
  • python3-testsuite >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-1352
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2743
SUSE-SLE-Module-Development-Tools-OBS-15-2020-114
SUSE-SLE-Module-Development-Tools-OBS-15-2020-234
SUSE Linux Enterprise Module for Public Cloud 12
  • python-boto3 >= 1.10.33-14.14.1
  • python-botocore >= 1.13.33-28.20.1
  • python-futures >= 3.0.2-15.3.1
  • python-s3transfer >= 0.2.1-8.7.1
  • python3-boto3 >= 1.10.33-14.14.1
  • python3-botocore >= 1.13.33-28.20.1
  • python3-s3transfer >= 0.2.1-8.7.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-12-2020-775
SUSE Linux Enterprise Module for Python2 packages 15 SP1
  • python >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python-curses >= 2.7.17-7.32.2
  • python-devel >= 2.7.17-7.32.1
  • python-gdbm >= 2.7.17-7.32.2
  • python-xml >= 2.7.17-7.32.1
Patchnames:
SUSE-SLE-Module-Python2-15-SP1-2019-2743
SUSE-SLE-Module-Python2-15-SP1-2020-234
SUSE Linux Enterprise Point of Sale 12 SP2
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-SLE-POS-12-SP2-2020-775
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • MozillaFirefox >= 68.2.0-78.51.4
  • MozillaFirefox-branding-SLED >= 68-21.9.8
  • MozillaFirefox-translations-common >= 68.2.0-78.51.4
  • MozillaFirefox-translations-other >= 68.2.0-78.51.4
  • firefox-atk >= 2.26.1-2.8.4
  • firefox-atk-lang >= 2.26.1-2.8.4
  • firefox-cairo >= 1.15.10-2.13.4
  • firefox-gdk-pixbuf >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-lang >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-query-loaders >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-thumbnailer >= 2.36.11-2.8.4
  • firefox-gio-branding-upstream >= 2.54.3-2.14.7
  • firefox-glib2 >= 2.54.3-2.14.7
  • firefox-glib2-lang >= 2.54.3-2.14.7
  • firefox-glib2-tools >= 2.54.3-2.14.7
  • firefox-gtk3 >= 3.10.9-2.15.3
  • firefox-gtk3-branding-upstream >= 3.10.9-2.15.3
  • firefox-gtk3-data >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-amharic >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-inuktitut >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-multipress >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-thai >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-vietnamese >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-xim >= 3.10.9-2.15.3
  • firefox-gtk3-immodules-tigrigna >= 3.10.9-2.15.3
  • firefox-gtk3-lang >= 3.10.9-2.15.3
  • firefox-gtk3-tools >= 3.10.9-2.15.3
  • firefox-harfbuzz >= 1.7.5-2.7.4
  • firefox-libatk-1_0-0 >= 2.26.1-2.8.4
  • firefox-libcairo-gobject2 >= 1.15.10-2.13.4
  • firefox-libcairo2 >= 1.15.10-2.13.4
  • firefox-libffi >= 3.2.1.git259-2.3.3
  • firefox-libffi-gcc5 >= 5.3.1+r233831-14.1
  • firefox-libffi4 >= 5.3.1+r233831-14.1
  • firefox-libffi7 >= 3.2.1.git259-2.3.3
  • firefox-libgdk_pixbuf-2_0-0 >= 2.36.11-2.8.4
  • firefox-libgtk-3-0 >= 3.10.9-2.15.3
  • firefox-libharfbuzz0 >= 1.7.5-2.7.4
  • firefox-libpango-1_0-0 >= 1.40.14-2.7.4
  • firefox-pango >= 1.40.14-2.7.4
  • libfirefox-gio-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-glib-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gmodule-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gobject-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gthread-2_0-0 >= 2.54.3-2.14.7
  • libfreebl3 >= 3.45-38.9.3
  • libfreebl3-32bit >= 3.45-38.9.3
  • libsoftokn3 >= 3.45-38.9.3
  • libsoftokn3-32bit >= 3.45-38.9.3
  • mozilla-nspr >= 4.21-29.6.1
  • mozilla-nspr-32bit >= 4.21-29.6.1
  • mozilla-nspr-devel >= 4.21-29.6.1
  • mozilla-nss >= 3.45-38.9.3
  • mozilla-nss-32bit >= 3.45-38.9.3
  • mozilla-nss-certs >= 3.45-38.9.3
  • mozilla-nss-certs-32bit >= 3.45-38.9.3
  • mozilla-nss-devel >= 3.45-38.9.3
  • mozilla-nss-tools >= 3.45-38.9.3
Patchnames:
slessp4-firefox-201910-14246
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libpython3_6m1_0 >= 3.6.10-4.3.5
  • python36 >= 3.6.10-4.3.5
  • python36-base >= 3.6.10-4.3.5
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-302
SUSE Manager Proxy 3.2
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-SUSE-Manager-Proxy-3.2-2020-775
SUSE Manager Server 3.2
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-SUSE-Manager-Server-3.2-2020-775
SUSE Manager Tools 12
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-SLE-Manager-Tools-12-2020-775
SUSE OpenStack Cloud 7
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-775
SUSE OpenStack Cloud 8
  • python-botocore >= 1.13.33-28.20.1
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-775
SUSE OpenStack Cloud Crowbar 8
  • python-botocore >= 1.13.33-28.20.1
  • python-futures >= 3.0.2-15.3.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-775
openSUSE Leap 15.0
  • python >= 2.7.14-lp150.6.21.1
  • python-32bit >= 2.7.14-lp150.6.21.1
  • python-32bit-debuginfo >= 2.7.14-lp150.6.21.1
  • python-curses >= 2.7.14-lp150.6.21.1
  • python-curses-debuginfo >= 2.7.14-lp150.6.21.1
  • python-debuginfo >= 2.7.14-lp150.6.21.1
  • python-debugsource >= 2.7.14-lp150.6.21.1
  • python-demo >= 2.7.14-lp150.6.21.1
  • python-gdbm >= 2.7.14-lp150.6.21.1
  • python-gdbm-debuginfo >= 2.7.14-lp150.6.21.1
  • python-idle >= 2.7.14-lp150.6.21.1
  • python-tk >= 2.7.14-lp150.6.21.1
  • python-tk-debuginfo >= 2.7.14-lp150.6.21.1
Patchnames:
openSUSE-2019-2389
openSUSE Leap 15.1
  • libpython2_7-1_0 >= 2.7.14-lp151.10.10.2
  • libpython2_7-1_0-32bit >= 2.7.14-lp151.10.10.2
  • libpython2_7-1_0-32bit-debuginfo >= 2.7.14-lp151.10.10.2
  • libpython2_7-1_0-debuginfo >= 2.7.14-lp151.10.10.2
  • libpython3_6m1_0 >= 3.6.10-lp151.6.7.1
  • libpython3_6m1_0-32bit >= 3.6.10-lp151.6.7.1
  • libpython3_6m1_0-32bit-debuginfo >= 3.6.10-lp151.6.7.1
  • libpython3_6m1_0-debuginfo >= 3.6.10-lp151.6.7.1
  • python >= 2.7.14-lp151.10.10.1
  • python-32bit >= 2.7.14-lp151.10.10.1
  • python-32bit-debuginfo >= 2.7.14-lp151.10.10.1
  • python-base >= 2.7.14-lp151.10.10.2
  • python-base-32bit >= 2.7.14-lp151.10.10.2
  • python-base-32bit-debuginfo >= 2.7.14-lp151.10.10.2
  • python-base-debuginfo >= 2.7.14-lp151.10.10.2
  • python-base-debugsource >= 2.7.14-lp151.10.10.2
  • python-curses >= 2.7.14-lp151.10.10.1
  • python-curses-debuginfo >= 2.7.14-lp151.10.10.1
  • python-debuginfo >= 2.7.14-lp151.10.10.1
  • python-debugsource >= 2.7.14-lp151.10.10.1
  • python-demo >= 2.7.14-lp151.10.10.1
  • python-devel >= 2.7.14-lp151.10.10.2
  • python-doc >= 2.7.14-lp151.10.10.1
  • python-doc-pdf >= 2.7.14-lp151.10.10.1
  • python-gdbm >= 2.7.14-lp151.10.10.1
  • python-gdbm-debuginfo >= 2.7.14-lp151.10.10.1
  • python-idle >= 2.7.14-lp151.10.10.1
  • python-tk >= 2.7.14-lp151.10.10.1
  • python-tk-debuginfo >= 2.7.14-lp151.10.10.1
  • python-xml >= 2.7.14-lp151.10.10.2
  • python-xml-debuginfo >= 2.7.14-lp151.10.10.2
  • python3 >= 3.6.10-lp151.6.7.1
  • python3-32bit >= 3.6.10-lp151.6.7.1
  • python3-32bit-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-base >= 3.6.10-lp151.6.7.1
  • python3-base-32bit >= 3.6.10-lp151.6.7.1
  • python3-base-32bit-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-base-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-base-debugsource >= 3.6.10-lp151.6.7.1
  • python3-curses >= 3.6.10-lp151.6.7.1
  • python3-curses-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-dbm >= 3.6.10-lp151.6.7.1
  • python3-dbm-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-debugsource >= 3.6.10-lp151.6.7.1
  • python3-devel >= 3.6.10-lp151.6.7.1
  • python3-devel-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-idle >= 3.6.10-lp151.6.7.1
  • python3-testsuite >= 3.6.10-lp151.6.7.1
  • python3-testsuite-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-tk >= 3.6.10-lp151.6.7.1
  • python3-tk-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-tools >= 3.6.10-lp151.6.7.1
Patchnames:
openSUSE-2019-2393
openSUSE-2020-86


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 python Unsupported
CaaS Platform 2.0 python Unsupported
CaaS Platform 3.0 python In progress
OpenStack Cloud Magnum Orchestration 7.0 python Unsupported
SUSE Business Critical Linux 12 SP2 python In progress
SUSE Business Critical Linux 12 SP2 python3 Affected
SUSE Business Critical Linux 12 SP3 python In progress
SUSE Linux Enterprise Desktop 10 SP3 python Unsupported
SUSE Linux Enterprise Desktop 10 SP4 python Unsupported
SUSE Linux Enterprise Desktop 11 GA python Unsupported
SUSE Linux Enterprise Desktop 11 SP1 python Unsupported
SUSE Linux Enterprise Desktop 11 SP2 python Unsupported
SUSE Linux Enterprise Desktop 11 SP3 python Unsupported
SUSE Linux Enterprise Desktop 11 SP4 python Unsupported
SUSE Linux Enterprise Desktop 12 GA python Unsupported
SUSE Linux Enterprise Desktop 12 GA python3 Unsupported
SUSE Linux Enterprise Desktop 12 SP1 python Unsupported
SUSE Linux Enterprise Desktop 12 SP1 python3 Unsupported
SUSE Linux Enterprise Desktop 12 SP2 python Unsupported
SUSE Linux Enterprise Desktop 12 SP2 python3 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 python Unsupported
SUSE Linux Enterprise Desktop 12 SP3 python3 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 python In progress
SUSE Linux Enterprise Desktop 12 SP4 python3 Unsupported
SUSE Linux Enterprise High Performance Computing 12 python Unsupported
SUSE Linux Enterprise High Performance Computing 12 python3 In progress
SUSE Linux Enterprise Module for Basesystem 15 GA python Released
SUSE Linux Enterprise Module for Basesystem 15 GA python3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 python Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 python3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA python Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 python Released
SUSE Linux Enterprise Module for Python2 15 SP1 python Released
SUSE Linux Enterprise Module for Web and Scripting 12 python3 In progress
SUSE Linux Enterprise SDK 11 GA python Unsupported
SUSE Linux Enterprise SDK 11 SP1 python Unsupported
SUSE Linux Enterprise SDK 11 SP2 python Unsupported
SUSE Linux Enterprise SDK 11 SP3 python Unsupported
SUSE Linux Enterprise SDK 11 SP4 python Unsupported
SUSE Linux Enterprise SDK 12 SP4 python3 Not affected
SUSE Linux Enterprise SDK 12 SP5 python3 In progress
SUSE Linux Enterprise Server 10 SP3 python Unsupported
SUSE Linux Enterprise Server 10 SP4 python Unsupported
SUSE Linux Enterprise Server 10 SP4 LTSS python Unsupported
SUSE Linux Enterprise Server 11 GA python Unsupported
SUSE Linux Enterprise Server 11 SP1 python Unsupported
SUSE Linux Enterprise Server 11 SP1 LTSS python Unsupported
SUSE Linux Enterprise Server 11 SP2 python Unsupported
SUSE Linux Enterprise Server 11 SP2 LTSS python Unsupported
SUSE Linux Enterprise Server 11 SP3 python Unsupported
SUSE Linux Enterprise Server 11 SP3 LTSS python Unsupported
SUSE Linux Enterprise Server 11 SP4 python Unsupported
SUSE Linux Enterprise Server 12 GA python Unsupported
SUSE Linux Enterprise Server 12 GA python3 Unsupported
SUSE Linux Enterprise Server 12 GA LTSS python Unsupported
SUSE Linux Enterprise Server 12 GA LTSS python3 Unsupported
SUSE Linux Enterprise Server 12 SP1 python Unsupported
SUSE Linux Enterprise Server 12 SP1 python3 Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS python In progress
SUSE Linux Enterprise Server 12 SP1 LTSS python3 Not affected
SUSE Linux Enterprise Server 12 SP2 python Unsupported
SUSE Linux Enterprise Server 12 SP2 python3 Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS python In progress
SUSE Linux Enterprise Server 12 SP2 LTSS python3 Not affected
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI python Unsupported
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI python3 Unsupported
SUSE Linux Enterprise Server 12 SP3 python Unsupported
SUSE Linux Enterprise Server 12 SP3 python3 Unsupported
SUSE Linux Enterprise Server 12 SP3 LTSS python In progress
SUSE Linux Enterprise Server 12 SP4 python In progress
SUSE Linux Enterprise Server 12 SP4 python3 Not affected
SUSE Linux Enterprise Server 12 SP5 python In progress
SUSE Linux Enterprise Server 12 SP5 python3 In progress
SUSE Linux Enterprise Server for SAP AIO 11 SP1 python Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP2 python Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP3 python Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 GA python Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 GA python3 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 python In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 python3 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python3 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python3 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 python In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP5 python3 In progress
SUSE Linux Enterprise Server for SAP ES 11 SP1 python Unsupported
SUSE Linux Enterprise Server for VMWare 11 SP2 python Unsupported
SUSE Linux Enterprise Server for VMWare 11 SP3 python Unsupported
SUSE Storage 5 python In progress